#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 optics-core
version:              0.3.0.1
visibility:           public
id:                   optics-core-0.3.0.1-GCudKdC8VEzH3ZHbQUl3Jo
key:                  optics-core-0.3.0.1-GCudKdC8VEzH3ZHbQUl3Jo
license:              BSD-3-Clause
maintainer:           optics@well-typed.com
author:               Adam Gundry, Andres Löh, Andrzej Rybczak, Oleg Grenrus
synopsis:             Optics as an abstract interface: core definitions
description:
    This package makes it possible to define and use Lenses, Traversals, Prisms
    and other optics, using an abstract interface.

    This variant provides core definitions with a minimal dependency footprint.
    See the @<https://hackage.haskell.org/package/optics optics>@ package (and its
    dependencies) for documentation and the "batteries-included" variant.

category:             Data, Optics, Lenses
abi:                  63a84e7acc643f2b8928cd0024e0c923
exposed:              True
exposed-modules:
    Data.Either.Optics Data.IntMap.Optics Data.IntSet.Optics
    Data.List.Optics Data.Map.Optics Data.Maybe.Optics
    Data.Sequence.Optics Data.Set.Optics Data.Tree.Optics
    Data.Tuple.Optics Data.Typeable.Optics GHC.Generics.Optics
    Numeric.Optics Optics.AffineFold Optics.AffineTraversal
    Optics.Arrow Optics.At.Core Optics.Coerce Optics.Cons.Core
    Optics.Core Optics.Each.Core Optics.Empty.Core Optics.Fold
    Optics.Getter Optics.Indexed.Core Optics.Internal.Bi
    Optics.Internal.Fold Optics.Internal.Indexed
    Optics.Internal.Indexed.Classes Optics.Internal.IxFold
    Optics.Internal.IxSetter Optics.Internal.IxTraversal
    Optics.Internal.Optic Optics.Internal.Optic.Subtyping
    Optics.Internal.Optic.TypeLevel Optics.Internal.Optic.Types
    Optics.Internal.Setter Optics.Internal.Traversal
    Optics.Internal.Utils Optics.Iso Optics.IxAffineFold
    Optics.IxAffineTraversal Optics.IxFold Optics.IxGetter
    Optics.IxLens Optics.IxSetter Optics.IxTraversal Optics.Label
    Optics.Lens Optics.Mapping Optics.Operators Optics.Operators.Unsafe
    Optics.Optic Optics.Prism Optics.Re Optics.ReadOnly
    Optics.ReversedLens Optics.ReversedPrism Optics.Review
    Optics.Setter Optics.Traversal

import-dirs:          /usr/lib/ghc-8.10.1/site-local/optics-core-0.3.0.1
library-dirs:         /usr/lib/ghc-8.10.1/site-local/optics-core-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/optics-core-0.3.0.1
hs-libraries:         HSoptics-core-0.3.0.1-GCudKdC8VEzH3ZHbQUl3Jo
depends:
    array-0.5.4.0 base-4.14.0.0 containers-0.6.2.1
    indexed-profunctors-0.1-LhT6ov8AsxY9WVPX29xEKs transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-optics-core/html/optics-core.haddock
haddock-html:         /usr/share/doc/haskell-optics-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

